function resolution_plot(X, number,ttl)

col=2;
for n=1:(number/4)
    figure, plot(X(:,1),X(:,col),X(:,1),X(:,(col+1)),X(:,1),X(:,(col+2)),X(:,1),X(:,(col+3)),[X(1,(number+2)),X(1,(number+2))],[0,1.2]);
    ylim([0 1.2]);
    xlabel('Resolution [LP/PH]');
    ylabel('Modulation');
    legend(['Segment ',int2str(col-1)],['Segment ',int2str(col)], ['Segment ',int2str(col+1)],['Segment ',int2str(col+2)],'Nyquist-Frequency');
    title(ttl);
    col=col+4;
end